import type { Repository } from './types.js';
/**
 * Get latest git tag name.
 * @returns Tag name.
 */
export declare function getLatestTagName(): Promise<string | null>;
/**
 * Get git repository remote url.
 * @returns Remote url.
 */
export declare function getRemoteUrl(): Promise<string>;
/**
 * Parse git repository info from url.
 * @param remoteUrl - git repository url.
 * @returns Repository info.
 */
export declare function parseGitUrl(remoteUrl: string): Repository;
//# sourceMappingURL=git.d.ts.map